import org.scalatra.sbt.ScalatraPlugin
import com.earldouglas.xwp.JettyPlugin
import sbt._
import Keys._

object Chapter05Build extends Build {

  val Organization = "org.scalatra"
  val Name = "foods"
  val Version = "0.1.0-SNAPSHOT"
  val ScalaVersion = "2.11.6"
  val ScalatraVersion = "2.4.0"

  val mySettings = Defaults.defaultConfigs ++
    ScalatraPlugin.scalatraWithDist ++
    Seq(
      organization := Organization,
      name := Name,
      version := Version,
      scalaVersion := ScalaVersion,
      fork in Test := true,
      resolvers += Classpaths.typesafeReleases,
      resolvers += "Scalaz Bintray Repo" at "http://dl.bintray.com/scalaz/releases",
      libraryDependencies ++= Seq(
        "org.scalatra" %% "scalatra" % ScalatraVersion,
        "org.scalatra" %% "scalatra-scalate" % ScalatraVersion,
        "org.scalatra" %% "scalatra-json" % ScalatraVersion,
        "org.json4s"   %% "json4s-jackson" % "3.3.0",
        "org.scalaz" %% "scalaz-core" % "7.1.2",
        "org.scalatra" %% "scalatra-scalatest" % ScalatraVersion % "test",
        "ch.qos.logback" % "logback-classic" % "1.1.3" % "runtime",
        "javax.servlet" % "javax.servlet-api" % "3.1.0" % "provided"
      )
    )

  lazy val project = Project(Name, file("."))
    .enablePlugins(JettyPlugin)
    .settings(mySettings:_*)

}
